//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="name" type="{}BusinessNameWithLanguage" maxOccurs="unbounded"/&gt;
 *         &lt;element name="desc" type="{}FreeFormMarkupWithLanguage" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}copyright" maxOccurs="unbounded"/&gt;
 *         &lt;element ref="{}author" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}reference" minOccurs="0"/&gt;
 *         &lt;element ref="{}restURI" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}defaultElementNamespace" minOccurs="0"/&gt;
 *         &lt;element ref="{}contact" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element ref="{}buildingBlockRepository" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;choice maxOccurs="unbounded"&gt;
 *           &lt;element name="version" type="{}ProjectHistory" maxOccurs="unbounded" minOccurs="0"/&gt;
 *           &lt;element name="release" type="{}ProjectRelease" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="id" use="required" type="{}Oid" /&gt;
 *       &lt;attribute name="prefix" use="required" type="{}ShortDescriptiveName" /&gt;
 *       &lt;attribute name="defaultLanguage" use="required" type="{http://www.w3.org/2001/XMLSchema}language" /&gt;
 *       &lt;attribute name="experimental" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "name",
    "desc",
    "copyright",
    "author",
    "reference",
    "restURI",
    "defaultElementNamespace",
    "contact",
    "buildingBlockRepository",
    "versionOrRelease"
})
@XmlRootElement(name = "project")
public class Project {

    @XmlElement(required = true)
    private List<BusinessNameWithLanguage> name;
    private List<FreeFormMarkupWithLanguage> desc;
    @XmlElement(required = true)
    private List<Copyright> copyright;
    private List<Author> author;
    private Reference reference;
    private List<RestURI> restURI;
    private DefaultElementNamespace defaultElementNamespace;
    private List<Contact> contact;
    private List<BuildingBlockRepository> buildingBlockRepository;
    @XmlElements({
        @XmlElement(name = "version", type = ProjectHistory.class),
        @XmlElement(name = "release", type = ProjectRelease.class)
    })
    private List<Object> versionOrRelease;
    @XmlAttribute(name = "id", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String id;
    @XmlAttribute(name = "prefix", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String prefix;
    @XmlAttribute(name = "defaultLanguage", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "language")
    private String defaultLanguage;
    @XmlAttribute(name = "experimental")
    private Boolean experimental;

    /**
     * Gets the value of the name property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the name property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getName().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BusinessNameWithLanguage }
     * 
     * 
     */
    public List<BusinessNameWithLanguage> getName() {
        if (name == null) {
            name = new ArrayList<>();
        }
        return this.name;
    }

    /**
     * Gets the value of the desc property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the desc property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDesc().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link FreeFormMarkupWithLanguage }
     * 
     * 
     */
    public List<FreeFormMarkupWithLanguage> getDesc() {
        if (desc == null) {
            desc = new ArrayList<>();
        }
        return this.desc;
    }

    /**
     * Gets the value of the copyright property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the copyright property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getCopyright().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Copyright }
     * 
     * 
     */
    public List<Copyright> getCopyright() {
        if (copyright == null) {
            copyright = new ArrayList<>();
        }
        return this.copyright;
    }

    /**
     * Gets the value of the author property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the author property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAuthor().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Author }
     * 
     * 
     */
    public List<Author> getAuthor() {
        if (author == null) {
            author = new ArrayList<>();
        }
        return this.author;
    }

    /**
     * Gets the value of the reference property.
     * 
     * @return
     *     possible object is
     *     {@link Reference }
     *     
     */
    public Reference getReference() {
        return reference;
    }

    /**
     * Sets the value of the reference property.
     * 
     * @param value
     *     allowed object is
     *     {@link Reference }
     *     
     */
    public void setReference(Reference value) {
        this.reference = value;
    }

    /**
     * Gets the value of the restURI property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the restURI property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRestURI().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RestURI }
     * 
     * 
     */
    public List<RestURI> getRestURI() {
        if (restURI == null) {
            restURI = new ArrayList<>();
        }
        return this.restURI;
    }

    /**
     * Gets the value of the defaultElementNamespace property.
     * 
     * @return
     *     possible object is
     *     {@link DefaultElementNamespace }
     *     
     */
    public DefaultElementNamespace getDefaultElementNamespace() {
        return defaultElementNamespace;
    }

    /**
     * Sets the value of the defaultElementNamespace property.
     * 
     * @param value
     *     allowed object is
     *     {@link DefaultElementNamespace }
     *     
     */
    public void setDefaultElementNamespace(DefaultElementNamespace value) {
        this.defaultElementNamespace = value;
    }

    /**
     * Gets the value of the contact property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the contact property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getContact().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Contact }
     * 
     * 
     */
    public List<Contact> getContact() {
        if (contact == null) {
            contact = new ArrayList<>();
        }
        return this.contact;
    }

    /**
     * Gets the value of the buildingBlockRepository property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the buildingBlockRepository property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getBuildingBlockRepository().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link BuildingBlockRepository }
     * 
     * 
     */
    public List<BuildingBlockRepository> getBuildingBlockRepository() {
        if (buildingBlockRepository == null) {
            buildingBlockRepository = new ArrayList<>();
        }
        return this.buildingBlockRepository;
    }

    /**
     * Gets the value of the versionOrRelease property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the versionOrRelease property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVersionOrRelease().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProjectHistory }
     * {@link ProjectRelease }
     * 
     * 
     */
    public List<Object> getVersionOrRelease() {
        if (versionOrRelease == null) {
            versionOrRelease = new ArrayList<>();
        }
        return this.versionOrRelease;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the prefix property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrefix() {
        return prefix;
    }

    /**
     * Sets the value of the prefix property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrefix(String value) {
        this.prefix = value;
    }

    /**
     * Gets the value of the defaultLanguage property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDefaultLanguage() {
        return defaultLanguage;
    }

    /**
     * Sets the value of the defaultLanguage property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDefaultLanguage(String value) {
        this.defaultLanguage = value;
    }

    /**
     * Gets the value of the experimental property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isExperimental() {
        if (experimental == null) {
            return false;
        } else {
            return experimental;
        }
    }

    /**
     * Sets the value of the experimental property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setExperimental(Boolean value) {
        this.experimental = value;
    }

}
